Subject: Re: slight problem with entConfigChange notification (fwd)

From: Shannon Nix <[email-masked]>
Date: Mon, 3 Jun 1996 13:44:01 -0400 (EDT)

Hi all,

Does anyone have an issue with Dave's proposed change below?  ..
speak quickly or I'm going to assume that it is the non-issue
that it seems.  Dave, let me know when you have a revised draft
ready to submit.

Thanks,
Shannon
> 
> One last minute change (benefit from reading other mailing list) ...
> 
> According to the section 8.5 of rfc 1902
> 
>                               "... In order to achieve compatibility
>   with the procedures employed by proxy agents (see Section 3.1.2 of
>   [7]), the next to last sub-identifier in the name of any newly-
>   defined notification must have the value zero."
> 
> I suggest we change the dlswTraps (one line) to:
> 
> dlswTraps              OBJECT IDENTIFIER ::= { dlswMIB 0 }
> -- was                 OBJECT IDENTIFIER ::= { dlswMIB 7 }
> 
> sorry ... (but, as Keith said, better now than later.)  Dave
> 
> >---------------------------- Note follows ------------------------------
> >
> >> > To avoid the problem, the value assigned to entConfigChange should
> >> > be { entityMIBTraps 0 1 } instead of { entityMIBTraps 1 }
> >>
> >> Thanks for catching this - better now than later.
> >
> >A convention I've been coaching mib writers around my neck of the woods
> >is to make the sub-id value for oid-names like "entityMIBTraps" be the
> >zero (0) component.  Thus, you have something like:
> >
> > fooMIB OBJECT-IDENTIFIER ::= { whatever  99 }
> > fooMIBTraps OBJECT-IDENTIFIER ::= { fooMIB 0 }
> > fooConfigChange NOTIFICATION-TYPE ... ::= { fooMIBTraps 1 }
> >
> >This makes the naming logical and ensures you play be the
> >coexistance rules.
> >
> >bok
> >
>